# encoding: utf-8
# Code generated by Microsoft (R) AutoRest Code Generator 1.2.2.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.

module Azure::ARM::Logic
  module Models
    #
    # The workflow run trigger.
    #
    class WorkflowRunTrigger

      include MsRestAzure

      include MsRest::JSONable
      # @return [String] Gets the name.
      attr_accessor :name

      # @return Gets the inputs.
      attr_accessor :inputs

      # @return [ContentLink] Gets the link to inputs.
      attr_accessor :inputs_link

      # @return Gets the outputs.
      attr_accessor :outputs

      # @return [ContentLink] Gets the link to outputs.
      attr_accessor :outputs_link

      # @return [DateTime] Gets the start time.
      attr_accessor :start_time

      # @return [DateTime] Gets the end time.
      attr_accessor :end_time

      # @return [String] Gets the tracking id.
      attr_accessor :tracking_id

      # @return [Correlation] The run correlation.
      attr_accessor :correlation

      # @return [String] Gets the code.
      attr_accessor :code

      # @return [WorkflowStatus] Gets the status. Possible values include:
      # 'NotSpecified', 'Paused', 'Running', 'Waiting', 'Succeeded', 'Skipped',
      # 'Suspended', 'Cancelled', 'Failed', 'Faulted', 'TimedOut', 'Aborted',
      # 'Ignored'
      attr_accessor :status

      # @return Gets the error.
      attr_accessor :error

      # @return Gets the tracked properties.
      attr_accessor :tracked_properties


      #
      # Mapper for WorkflowRunTrigger class as Ruby Hash.
      # This will be used for serialization/deserialization.
      #
      def self.mapper()
        {
          required: false,
          serialized_name: 'WorkflowRunTrigger',
          type: {
            name: 'Composite',
            class_name: 'WorkflowRunTrigger',
            model_properties: {
              name: {
                required: false,
                read_only: true,
                serialized_name: 'name',
                type: {
                  name: 'String'
                }
              },
              inputs: {
                required: false,
                read_only: true,
                serialized_name: 'inputs',
                type: {
                  name: 'Object'
                }
              },
              inputs_link: {
                required: false,
                read_only: true,
                serialized_name: 'inputsLink',
                type: {
                  name: 'Composite',
                  class_name: 'ContentLink'
                }
              },
              outputs: {
                required: false,
                read_only: true,
                serialized_name: 'outputs',
                type: {
                  name: 'Object'
                }
              },
              outputs_link: {
                required: false,
                read_only: true,
                serialized_name: 'outputsLink',
                type: {
                  name: 'Composite',
                  class_name: 'ContentLink'
                }
              },
              start_time: {
                required: false,
                read_only: true,
                serialized_name: 'startTime',
                type: {
                  name: 'DateTime'
                }
              },
              end_time: {
                required: false,
                read_only: true,
                serialized_name: 'endTime',
                type: {
                  name: 'DateTime'
                }
              },
              tracking_id: {
                required: false,
                read_only: true,
                serialized_name: 'trackingId',
                type: {
                  name: 'String'
                }
              },
              correlation: {
                required: false,
                serialized_name: 'correlation',
                type: {
                  name: 'Composite',
                  class_name: 'Correlation'
                }
              },
              code: {
                required: false,
                read_only: true,
                serialized_name: 'code',
                type: {
                  name: 'String'
                }
              },
              status: {
                required: false,
                read_only: true,
                serialized_name: 'status',
                type: {
                  name: 'Enum',
                  module: 'WorkflowStatus'
                }
              },
              error: {
                required: false,
                read_only: true,
                serialized_name: 'error',
                type: {
                  name: 'Object'
                }
              },
              tracked_properties: {
                required: false,
                read_only: true,
                serialized_name: 'trackedProperties',
                type: {
                  name: 'Object'
                }
              }
            }
          }
        }
      end
    end
  end
end
